=head1 NAME

Gtk2::Gdk::GC

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::GC


=head1 METHODS

=head2 gc = Gtk2::Gdk::GC-E<gt>B<new> ($drawable, $values=undef)

=over

=over

=item * $drawable (Gtk2::Gdk::Drawable) 

=item * $values (scalar) 

=back

=back

=head2 gc = Gtk2::Gdk::GC-E<gt>B<new_with_values> ($drawable, $values=undef)

=over

=over

=item * $drawable (Gtk2::Gdk::Drawable) 

=item * $values (scalar) 

=back

=back

=head2 $gc-E<gt>B<set_background> ($color)

=over

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=back

=head2 $gc-E<gt>B<set_clip_mask> ($mask)

=over

=over

=item * $mask (scalar) 

=back

=back

=head2 $gc-E<gt>B<set_clip_origin> ($x, $y)

=over

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=back

=head2 $gc-E<gt>B<set_clip_rectangle> ($rectangle)

=over

=over

=item * $rectangle (Gtk2::Gdk::Rectangle or undef) 

=back

=back

=head2 $gc-E<gt>B<set_clip_region> ($region)

=over

=over

=item * $region (Gtk2::Gdk::Region or undef) 

=back

=back

=head2 colormap = $gc-E<gt>B<get_colormap> 

=over

=back

=head2 $gc-E<gt>B<set_colormap> ($colormap)

=over

=over

=item * $colormap (Gtk2::Gdk::Colormap) 

=back

=back

=head2 $dst_gc-E<gt>B<copy> ($src_gc)

=over

=over

=item * $src_gc (Gtk2::Gdk::GC) 

=back

=back

=head2 $gc-E<gt>B<set_dashes> ($dash_offset, ...)

=over

=over

=item * $dash_offset (integer) 

=item * ... (list) of integers, the length of the dash segments

=back

Sets the way dashed-lines are drawn. Lines will be drawn with alternating on
and off segments of the lengths specified in list of dashes. The manner in
which the on and off segments are drawn is determined by the line_style value
of the GC.

=back

=head2 $gc-E<gt>B<set_exposures> ($exposures)

=over

=over

=item * $exposures (boolean) 

=back

=back

=head2 $gc-E<gt>B<set_fill> ($fill)

=over

=over

=item * $fill (Gtk2::Gdk::Fill) 

=back

=back

=head2 $gc-E<gt>B<set_font> ($font)

=over

=over

=item * $font (Gtk2::Gdk::Font) 

=back

=back

=head2 $gc-E<gt>B<set_foreground> ($color)

=over

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=back

=head2 $gc-E<gt>B<set_function> ($function)

=over

=over

=item * $function (Gtk2::Gdk::Function) 

=back

=back

=head2 $gc-E<gt>B<set_line_attributes> ($line_width, $line_style, $cap_style, $join_style)

=over

=over

=item * $line_width (integer) 

=item * $line_style (Gtk2::Gdk::LineStyle) 

=item * $cap_style (Gtk2::Gdk::CapStyle) 

=item * $join_style (Gtk2::Gdk::JoinStyle) 

=back

=back

=head2 $gc-E<gt>B<offset> ($x_offset, $y_offset)

=over

=over

=item * $x_offset (integer) 

=item * $y_offset (integer) 

=back

=back

=head2 $gc-E<gt>B<set_rgb_background> ($rgb)

=over

=over

=item * $rgb (unsigned) 

=back

=back

=head2 $gc-E<gt>B<set_rgb_bg_color> ($color)

=over

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=back

=head2 $gc-E<gt>B<set_rgb_fg_color> ($color)

=over

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=back

=head2 $gc-E<gt>B<set_rgb_foreground> ($rgb)

=over

=over

=item * $rgb (unsigned) 

=back

=back

=head2 $gc-E<gt>B<rgb_gc_set_background> ($rgb)

=over

=over

=item * $rgb (unsigned) 

=back

=back

=head2 $gc-E<gt>B<rgb_gc_set_foreground> ($rgb)

=over

=over

=item * $rgb (unsigned) 

=back

=back

=head2 screen = $gc-E<gt>B<get_screen> 

=over

=back

=head2 $gc-E<gt>B<set_stipple> ($stipple)

=over

=over

=item * $stipple (Gtk2::Gdk::Pixmap) 

=back

=back

=head2 $gc-E<gt>B<set_subwindow> ($mode)

=over

=over

=item * $mode (Gtk2::Gdk::SubwindowMode) 

=back

=back

=head2 $gc-E<gt>B<set_tile> ($tile)

=over

=over

=item * $tile (Gtk2::Gdk::Pixmap) 

=back

=back

=head2 $gc-E<gt>B<set_ts_origin> ($x, $y)

=over

=over

=item * $x (integer) 

=item * $y (integer) 

=back

=back

=head2 scalar = $gc-E<gt>B<get_values> 

=over

=back

=head2 $gc-E<gt>B<set_values> ($values)

=over

=over

=item * $values (scalar) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Gdk::CapStyle

=over

=item * 'not-last' / 'GDK_CAP_NOT_LAST'

=item * 'butt' / 'GDK_CAP_BUTT'

=item * 'round' / 'GDK_CAP_ROUND'

=item * 'projecting' / 'GDK_CAP_PROJECTING'

=back


=head2 enum Gtk2::Gdk::Fill

=over

=item * 'solid' / 'GDK_SOLID'

=item * 'tiled' / 'GDK_TILED'

=item * 'stippled' / 'GDK_STIPPLED'

=item * 'opaque-stippled' / 'GDK_OPAQUE_STIPPLED'

=back


=head2 enum Gtk2::Gdk::Function

=over

=item * 'copy' / 'GDK_COPY'

=item * 'invert' / 'GDK_INVERT'

=item * 'xor' / 'GDK_XOR'

=item * 'clear' / 'GDK_CLEAR'

=item * 'and' / 'GDK_AND'

=item * 'and-reverse' / 'GDK_AND_REVERSE'

=item * 'and-invert' / 'GDK_AND_INVERT'

=item * 'noop' / 'GDK_NOOP'

=item * 'or' / 'GDK_OR'

=item * 'equiv' / 'GDK_EQUIV'

=item * 'or-reverse' / 'GDK_OR_REVERSE'

=item * 'copy-invert' / 'GDK_COPY_INVERT'

=item * 'or-invert' / 'GDK_OR_INVERT'

=item * 'nand' / 'GDK_NAND'

=item * 'nor' / 'GDK_NOR'

=item * 'set' / 'GDK_SET'

=back


=head2 enum Gtk2::Gdk::JoinStyle

=over

=item * 'miter' / 'GDK_JOIN_MITER'

=item * 'round' / 'GDK_JOIN_ROUND'

=item * 'bevel' / 'GDK_JOIN_BEVEL'

=back


=head2 enum Gtk2::Gdk::LineStyle

=over

=item * 'solid' / 'GDK_LINE_SOLID'

=item * 'on-off-dash' / 'GDK_LINE_ON_OFF_DASH'

=item * 'double-dash' / 'GDK_LINE_DOUBLE_DASH'

=back


=head2 enum Gtk2::Gdk::SubwindowMode

=over

=item * 'clip-by-children' / 'GDK_CLIP_BY_CHILDREN'

=item * 'include-inferiors' / 'GDK_INCLUDE_INFERIORS'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

